
from odoo import api, models
from odoo.addons.saas_worker import const


class OETestTool(models.AbstractModel):
    _name = "loempia.test.tool"
    _description = "Loempia Test Tools"

    @api.model
    def _set_domain(self):
        self.env.ref('website.default_website').domain = const.APPS_URL
        self.env['ir.config_parameter'].set_param('web.base.url', const.APPS_URL)

    @api.model
    def _set_openerp_oauth_url(self):
        openerp_provider = self.env.ref('auth_oauth.provider_openerp')
        openerp_provider.write({
            "scope": "userinfo",
            "auth_endpoint": f"{const.OAUTH_BASE_URL}/oauth2/auth",
            "validation_endpoint": f"{const.OAUTH_BASE_URL}/oauth2/tokeninfo",
            "enabled": True,
        })
